<?php

include_once "../dbconection.php";
include_once "../errorhandler.php";

if(isset($_REQUEST['intTipoUsuario'])){ // Si es llamado por intUsuario
	//$query = "SELECT * FROM tblusuarios WHERE intUsuario = ". $_REQUEST["intUsuario"] ." ";

	$intTipoUsuario = $_REQUEST['intTipoUsuario'];
	$txtTituloUsuario = $_REQUEST['txtTituloUsuario'];
	
	if($_REQUEST['intMode']==1){
		$query = "INSERT INTO tbltipousuarios (strTitulo, intEmpresa) 
		VALUES ('". $txtTituloUsuario ."', ". $_REQUEST['intEmpresa'] .")";
	
	}else if($_REQUEST['intMode']==2){
		$query = "UPDATE tbltipousuarios SET strTitulo = '".$txtTituloUsuario."' WHERE intTipoUsuario = ".$intTipoUsuario."";
	
	}else if($_REQUEST['intMode']==3){
		$query = "DELETE FROM tbltipousuarios WHERE intTipoUsuario = ".$intTipoUsuario."";
		
	}
	
	$sJSON = $query;
	//exit($sJSON);
	
	$sJSON = "";
	
	$queryResult = mysql_query($query);	
						
	//$sJSON = "";
	
	if($queryResult){
		$sJSON .= "exito";
	}else{
		$sJSON .= "error";
	}
	
}else if(isset($_REQUEST['intEmpresa'])){ // Si es llamado por intEmpresa
	
	$query = "SELECT * FROM tbltipousuarios WHERE intEmpresa = ". $_REQUEST["intEmpresa"];
	$queryResult = mysql_query($query);	
	$totalRows = mysql_num_rows($queryResult);
						
	$sJSON = '{"Items":[';
	
	if($totalRows > 0){

		while($data = mysql_fetch_assoc($queryResult)){
			$intTipoUsuario = $data['intTipoUsuario'];
			$strTitulo = $data['strTitulo'];

			$sJSON .= "{";
				$sJSON .= '"intTipoUsuario":"'.$intTipoUsuario.'"';
				$sJSON .= ',"strTitulo":"'.$strTitulo.'"';
			$sJSON .= "},";
		}
	}
	$sJSON = substr($sJSON, 0, -1);
	$sJSON .= "]}";
	
}

print($sJSON);

//print('{"test":"true","ok":"yes"}');
?>